Subject: bug#55709: R texinfo documents are not showing up for me

From: Kyle Andrews <[email-masked]>
Date: Tue, 31 May 2022 00:35:06 +0000

Hi Ludo,

I tried with both info-reader and emacs. The former (your command)
worked (yay!), while the latter (see below) errored out: saying emacs
could not be found. 

  guix shell r emacs -- emacs
  # /gnu/store/rg8f1jd773n2l78p24m1gds3dmvcgkjq-profile/bin/emacs: error while loading shared libraries: /gnu/store/vncwfb53kbnyflyc1jyd2xv9sifpw202-gtk+-3.24.30/lib/libgdk-3.so.0: file too short

However, I tried also with emacs-no-x and it picked up the R texinfo
manuals with no problems. I also checked the INFOPATH and saw those
files directly in there. That's certainly better than on my system where
they are not.

The first item in $(guix describe) is:

  guix acb0830
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: acb08304c862d65679086a9f160240bfd598289d

Cheers,
Kyle

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Kyle Andrews <[email-masked]> skribis:
>
>> I see that R provides a lot of texinfo documentation, but none of it is
>> showing up for me in 'Emacs M-x info' or by typing 'info R'. Is this
>> just my setup problem or is it a wider phenomenon?
>
> The following Info files are provided by ‘r-minimal’:
>
> $ find -L $(guix build r-minimal) -name \*.info\* 
> /gnu/store/jwr3aajwjxwv3swdwbdxzh8ccn3mdlvz-r-minimal-4.2.0/share/info/R-exts.info-1.gz
> /gnu/store/jwr3aajwjxwv3swdwbdxzh8ccn3mdlvz-r-minimal-4.2.0/share/info/R-admin.info.gz
> /gnu/store/jwr3aajwjxwv3swdwbdxzh8ccn3mdlvz-r-minimal-4.2.0/share/info/R-data.info.gz
> /gnu/store/jwr3aajwjxwv3swdwbdxzh8ccn3mdlvz-r-minimal-4.2.0/share/info/R-lang.info.gz
> /gnu/store/jwr3aajwjxwv3swdwbdxzh8ccn3mdlvz-r-minimal-4.2.0/share/info/R-intro.info.gz
> /gnu/store/jwr3aajwjxwv3swdwbdxzh8ccn3mdlvz-r-minimal-4.2.0/share/info/R-exts.info-3.gz
> /gnu/store/jwr3aajwjxwv3swdwbdxzh8ccn3mdlvz-r-minimal-4.2.0/share/info/R-exts.info.gz
> /gnu/store/jwr3aajwjxwv3swdwbdxzh8ccn3mdlvz-r-minimal-4.2.0/share/info/R-exts.info-2.gz
> /gnu/store/jwr3aajwjxwv3swdwbdxzh8ccn3mdlvz-r-minimal-4.2.0/share/info/R-ints.info.gz
> /gnu/store/jwr3aajwjxwv3swdwbdxzh8ccn3mdlvz-r-minimal-4.2.0/share/info/R-FAQ.info.gz
>
> This package is propagated by ‘r’.  Thus, you can access these manuals
> for instance with:
>
>   guix shell r info-reader -- info R-intro
>
> You can replace ‘info-reader’ by ‘emacs’; the key here is that this sets
> the ‘INFOPATH’ environment variable.
>
> Does it work for you?
>
> HTH,
> Ludo’.